<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link href="https://fonts.googleapis.com/css?family=Sniglet" rel="stylesheet">
    <title>GT2ME</title>
</head>
<body>
    <div class="container-fluid mt-3">
        <div class="card">
            <div class="card-body">
        <form method="POST" id="f">
            {% for name, value in defaults.items() %}
            <div class=form-group>
            {{ name|capitalize }} <input class=form-control type=range min=0 max=15 name="{{ name }}" value="{{ value }}" />
            </div>
            {% endfor %}
            <div id=x></div>
            <input type=submit id=s class="mt-3 btn btn-block btn-primary btn-lg" value="pour me a drink" />
        </form>
        </div>
        </div>
    </div>
    
    <script>
    const x = document.getElementById("x");
    const f = document.getElementById("f");
    const update = () => {
        x.innerHTML = Array.from((new FormData(f)).entries()).map(([k,v])=>`${k}: ${v}`).join(', ');
    };
    Array.from(document.querySelectorAll("input")).forEach(i => {
        i.addEventListener("input", update, false);
    });
    update();
    
    
    setInterval(
        () => {
            const s = document.getElementById('s');
            s.style.backgroundColor = `hsl(${+(new Date()) * 300}, 100%, 50%)`;
            const t = +new Date() / 1000;
            const scl = 1 + Math.sin(t * 6.283) * .2;
            s.style.transform = `scale(${scl})`;
            document.body.style.transform = `rotate(${Math.sin(t * 2)*35}deg)`;
            document.body.style.backgroundColor = `hsl(${+(new Date()) * 300}, 100%, 50%)`;
        
        }, 1000 / 30
    );
    

    </script>
    
    
            <style>
            * { font-family: "comic sans ms",sniglet, fantasy }
            }
            </style>
</body>
</html>
